package com.ningdatech.pmapi.workbench.converter;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.collection.CollUtil;
import com.ningdatech.basic.model.PageVo;
import com.ningdatech.pmapi.projectdeclared.model.po.DeclaredProjectStatisticsPO;
import com.ningdatech.pmapi.sys.model.vo.NoticeListItemVO;
import com.ningdatech.pmapi.todocenter.model.vo.ResToBeProcessedVO;
import com.ningdatech.pmapi.todocenter.model.vo.TodoVO;
import com.ningdatech.pmapi.workbench.model.vo.WorkbenchVO;

import java.util.Collections;
import java.util.List;

/**
 * @Classname WorkbenchConverter
 * @Description
 * @Date 2023/3/20 17:23
 * @Author PoffyZhang
 */
public class WorkbenchConverter {

    public static WorkbenchVO.DeclaredStatistics convert(DeclaredProjectStatisticsPO po) {
        WorkbenchVO.DeclaredStatistics res = BeanUtil.copyProperties(po,WorkbenchVO.DeclaredStatistics.class);
        return res;
    }

    public static TodoVO convert(ResToBeProcessedVO vo) {
        TodoVO res = new TodoVO();
        res.setNodeId(vo.getNodeId());
        res.setProjectId(vo.getProjectId());
        res.setProjectName(vo.getProjectName());
        return res;
    }
}
